import { request } from '@/api/_service'

const BASE = 'production_configuration/device_model/device_management/'

function apiParams (method, data = {}) {
  return {
    method,
    platform: 'background',
    ...data
  }
}

export function getDeviceAll (data) {
  return request({
    url: BASE + 'all',
    method: 'get',
    params: apiParams('production_configuration_device_model_device_management_all', data)
  })
}
